Bug 349301 - Volume control menu item uses stock GNOME icon even when Bluecurve theme is chosen
Volume control menu item uses stock GNOME icon even when Bluecurve theme is c...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bluecurve-icon-theme (Show other bugs)
11
noarch Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-23 14:59 EDT by Joachim Frieben
Modified: 2010-05-16 18:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-16 18:05:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Frieben 2007-10-23 14:59:27 EDT
Description of problem:
The volume control menu item [System > Preferences > Hardware > Volume
Control] uses the stock GNOME icon even when Bluecurve is the active
icon theme.

Version-Release number of selected component (if applicable):
bluecurve-icon-theme-8.0.0-1.fc8

How reproducible:
Always.

Steps to Reproduce:
1. Set icon theme to Bluecurve.
2. Open [System > Preferences > Hardware > Volume Control].
  
Actual results:
The volume control icon is the stock GNOME one.

Expected results:
The volume control icon should be a suitable Bluecurve one.

Additional info:
The icon currently associated with gnome-volume-control according to the
desktop file is
 Icon=multimedia-volume-control
There is -no- multimedia-volume-control[.png] link/icon in the Bluecurve
icon set. For this reason, the [ugly] stock GNOME icon is used.
What is missing is a symbolic link preferences-desktop-multimedia.png
 -> multimedia-volume-control.png in the various /usr/share/icons/..
../Bluecurve/??x??/apps directories.
It's certainly suboptimal to use the same icon for both sound properties
and volume control. However, this has always been the case - even when
Bluecurve was the default icon theme.
Comment 1 Bug Zapper 2008-05-13 23:42:39 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-06-09 19:06:41 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Joachim Frieben 2009-06-10 04:29:13 EDT
Issue remains but stock icon name has changed. Now, rather links

    preferences-desktop-multimedia.png -> gnome-volume-control.png

in the various /usr/share/icons/Bluecurve/??x??/apps directories are required.
Comment 4 Bug Zapper 2010-04-27 07:48:07 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Joachim Frieben 2010-05-16 17:51:54 EDT
Issue still applies to bluecurve-icon-theme-8.0.2-5.fc12 of Fedora 12.
Comment 6 Joachim Frieben 2010-05-16 18:05:18 EDT
Menu item 'Volume Control' is gone from Fedora 12 w/GNOME 2.28.x.

Note You need to log in before you can comment on or make changes to this bug.